RealRoots: rational roots (but not binary rational roots)
Status: New Start date: 19 Jun 2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Cleaning Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.00 hour

Description

What should RealRoots do with an input like 3*x-1?

Currently, if the root is integer or a binary rational, RealRoots will find it exactly.

If the root is rational but not a binary rational then RealRoots does not find it exactly.

Should RealRoots restrict itself to finding exactly only binary rational roots?

Or should it guarantee(??) to find all rational roots exactly?

[the slightly tricky part would be the guarantee]

History

#1 - 25 Jul 2018 15:30 - John Abbott

- Target version changed from CoCoA-5.2.4 to CoCoA-5.3.0

#2 - 01 Oct 2019 14:16 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#3 - 04 Nov 2021 20:29 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
